[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Start of freeze for libvirt-0.9.10 and availability of rc1



On 02/07/2012 11:46 AM, Alex Jia wrote:
On 02/07/2012 02:41 AM, Eric Blake wrote:
On 02/06/2012 03:11 AM, Alex Jia wrote:

TEST: qemuxml2argvtest
        ....................!!.................. 40
        ......................................!. 80
        ........................................ 120
        ........................................ 160
        ...!.!!!!!!.!..!!.!....................  199 FAIL
    Weird that definitely worked fine for me.
Try to do an rpmbuild --rebuild libvirt-0.9.10-rc1.tar.gz to get
a list of possible missing build packages. However I don't see how
that could possibly affect qemuxml2argvtest ...
I haven't reproduced this issue.

It's okay if I installed related dev packages.
Do you know which dev package made the difference?
I missed one, as Daniel suggested, I used rpmbuild to rebuild libvirt-0.9.10-rc1.tar.gz then
install related packages:
libblkid-devel, libpcap-devel, avahi-devel, sanlock-devel, parted-devel, libpciaccess-devel

Other issues:
1.
   GEN    probes.o
/tmp/tmpOSBnp3.c:1: warning: return type defaults to 'int'
/tmp/tmpOSBnp3.c:1: warning: '__dtrace' defined but not used
   CC     libvirt_qemu_la-libvirt-qemu.lo

Notes, maybe, we should silence the warning.
I'd like to; but doing that requires either patching
systemtap-sdt-devel, or else post-processing the systemtap generated
files prior to passing them to the compiler.  In other words, the
warning is not coming from libvirt source code.

2.
   CC     libvirtmod_qemu_la-libvirt-qemu-override.lo
libvirt-qemu-override.c:53: warning: 'py_str' defined but not used
   CC     libvirtmod_qemu_la-libvirt-qemu.lo

Notes, it should be a useful function, maybe, we will use it later ...
We should fix this one.

3.
   CCLD   libvirt_test.la

*** Warning: Linking the shared library libvirt.la against the non-libtool
*** objects  probes.o is not portable!

4.
*** Warning: Linking the shared library libvirt_test.la against the
non-libtool
*** objects  probes.o is not portable!
   CCLD   libvirt-qemu.la


Notes, I often meet the item 3 and 4 warnings when compiling, although I
saw gcc book said
they were common error and should use .o instead of .la, we can ignore
these 2 warnings
in here, right?
Not the gcc book.  But this has previously come up on this list, and the
The common error is introduced in ch8 of "The Definitive Guide to GCC" v1 book.
but I think it should be a warning not error.
answer is still the same - libtool doesn't have a way to let us shut it
up when we _know_ that we are doing something that works on Linux, and
where we are not doing the non-portable action of using probes.o on
non-Linux because systemtap is Linux-specific.  You can ignore the
Yeah, indeed.
warning, and any patch to silence it would have to come from upstream
libtool, or else finding a way to create a .lo file that wraps the
generated probes.o file but which libtool can still link with.
However, libtool manual said we may silence this warning if specify link library the path with '-lm' option, I'm not sure whether we need to follow this, as you said, after all, libvirt
also supports non-linux platform.

http://www.gnu.org/software/libtool/manual/libtool.html

Thanks & Regards,
Alex


--
libvir-list mailing list
libvir-list redhat com
https://www.redhat.com/mailman/listinfo/libvir-list


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]